Subject: bug#57581: Failing to build the website

From: zimoun <[email-masked]>
Date: Mon, 05 Sep 2022 10:35:43 +0200

Hi Julien

On dim., 04 sept. 2022 at 17:18, Julien Lepiller <[email-masked]> wrote:

> I tried to update the po files for the website today, but I was unable
> to test. Trying to build the website from a clean checkout (without
> updating translations) gives this error. I think it's related to the
> code that generate the list of packages:

Which revision of Guix do you use?  And which commit of guix-artwork?

And how do you build the website?  It works for me with this procedure.

--8<---------------cut here---------------start------------->8---
$ git clone https://git.savannah.gnu.org/git/guix/guix-artwork.git
Cloning into 'guix-artwork'...
remote: Counting objects: 7281, done.
remote: Compressing objects: 100% (2121/2121), done.
remote: Total 7281 (delta 5043), reused 7273 (delta 5041)
Receiving objects: 100% (7281/7281), 33.99 MiB | 17.80 MiB/s, done.
Resolving deltas: 100% (5043/5043), done.

$ builtin cd guix-artwork/website

$ guix describe
Generation 9	août 31 2022 14:51:40	(current)
  guix 23152ff
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 23152ff70f0ed4966d8207846f54c793d7cb4f86

$ git log --oneline -1
ebc4a77 (HEAD -> master, origin/master, origin/HEAD) promotional: New retractable banner designs.

$ LANG=en_US.UTF-8 GUIX_WEB_SITE_LOCAL=yes guix environment -C -m manifest.scm \
                          -E LANG -E GUIX_WEB_SITE_LOCAL  --share=/tmp         \
                          -- haunt build

> > building pages in '/tmp/gnu.org/software/guix'...
fatal: not a git repository (or any parent up to mount point /gnu/store)
Stopping at filesystem boundary (GIT_DISCOVERY_ACROSS_FILESYSTEM not set).
warning: page objects are deprecated; switch to serialized-artifact

[...]

build completed successfully
--8<---------------cut here---------------end--------------->8---

Cheers,
simon